package org.treesched;

/**
 * An exception to be throw by the Schedule Factory.
 */
public class ScheduleFactoryException extends RuntimeException {

    /**
     * Constructor.
     * 
     * @param msg The message.
     */
	public ScheduleFactoryException(String msg) {
		super(msg);
	}

	/**
	 * Constructor.
	 * 
	 * @param msg The message.
	 * @param t The cause.
	 */
	public ScheduleFactoryException(String msg, Throwable t) {
		super(msg, t);
	}
	
}
